
libname scand 'g:\documents\AER_Macro';run;

* here is 3 year dataset excluding FIRE before 1992;


data scand.lbd_cps_3year_nofire;
  set scand.lbd_cps_3year;
  if code=2 and tyear<6 then delete;

data tyear;
  set scand.lbd_cps_3year_nofire;

* various robustness checks can be run by dropping periods, industries or industry*period observations;

* re-running regressions in deviated form to obtain within r-squared;
* note that main regressions run in STATA;


* run regressions using scatter to within R-squared;
* first just sector effects;

proc sort data=tyear;by tyear code;run;


%macro low(lhs,rhs);

proc glm data=tyear;
  class tyear code;
  model &lhs = tyear code ;
output out=scatter2 residual = &lhs.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs = tyear code ;
 output out=scatter3 residual = &rhs.r;

data scatter23;
  merge scatter2 scatter3;by tyear code;mer=1;

proc glm data=scatter23;
  model &lhs.r = &rhs.r / solution;
run;


%mend;

* inflow cases for Table 3b, escape cases for Table 4b;

%low(inflow,jd);
%low(inflow, jr);
%low(inflow, vol_emp);
%low(inflow,std_wcsemp);



* now with two RHS variables;

%macro low(lhs,rhs1,rhs2);

proc glm data=tyear;
  class tyear code;
  model &lhs = tyear code;
output out=scatter2 residual = &lhs.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs1 = tyear code ;
 output out=scatter3 residual = &rhs1.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs2 = tyear code ;
 output out=scatter4 residual = &rhs2.r;

data scatter234;
  merge scatter2 scatter3 scatter4;by tyear code;mer=1;
run;

proc glm data=scatter234;
  model &lhs.r = &rhs1.r &rhs2.r / solution;
run;

%mend;

%low(inflow, jd_cont, jd_deaths);


run;
