version 8
log using "g:\Documents\AER_MACRO\bed_cps_3year_stata_robust_outlier.log", replace

set memory 100m
set matsize 800
set more off

* note this is bed_cps_3year.dta without outlier

use bed_cps_outlier.dta, clear

* Table W1a uses results below w/period effects
* Robustness check without period effects discussed in text

label variable inflow "inflow on jd"
xi: reg inflow i.code jd, robust 

label variable inflow "inflow on jd w/ period effects"
xi: reg inflow i.tyear i.code jd, robust 

label variable inflow "inflow on jd_cont and jd_deaths"
xi: reg inflow i.code jd_cont jd_deaths, robust 

label variable inflow "inflow on jd_cont and jd_deaths w/ period effects"
xi: reg inflow i.tyear i.code jd_cont jd_deaths, robust 

label variable inflow "inflow on jr"
xi: reg inflow i.code jr, robust 

label variable inflow "inflow on jr w/ period effects"
xi: reg inflow i.tyear i.code jr, robust 



log close

